import { ExecutorContext } from '@nx/devkit';
import { PackageJson } from '@rxap/workspace-utilities';
export interface ProjectPackageJson extends PackageJson {
    funding?: string | {
        type: string;
        url: string;
    } | string[] | {
        type: string;
        url: string;
    }[];
}
export declare function readPackageJsonForProject(context: ExecutorContext, projectName?: string | undefined): ProjectPackageJson;
export declare function writePackageJsonFormProject<T extends ProjectPackageJson = ProjectPackageJson>(context: ExecutorContext, content: T, projectName?: string | undefined): void;
